Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025248
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionarymajoralways2013-11-28 22:422013-12-22 07:30
ReportercaristuView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0MP31
StatusclosedFix in branchFixed in SCM revisiona9326df8fa4a
ProjectionnoneETAnoneTarget Version3.0MP31
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelPre packaging ( pi )
Regression date
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/67e80e28874b0d93cd69094cec39febc89a03b11 [^]
Triggers an Emergency PackNo
Summary

0025248: Error after sorting by a computed column

DescriptionAn error is raised (see attached) if sorting a window using a computed column and after that we click on the funnel icon to remove the filters.
Steps To Reproduce1) Go to the [Sales Order] window
2) Order the header records by Delivery Status (this is a computed column)
3) Click on the funnel icon
TagsNo tags attached.
Attached Filespng file icon ErrorCC.png [^] (23,541 bytes) 2013-11-28 22:47


? file icon org.openbravo.check.computedcols-0.0.0.obx [^] (4,704 bytes) 2013-12-19 17:08

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00250413.0MP29 closedmarvintm Problem when filtering by a computed column with list reference 
related to defect 00253783.0PR14Q2 closedalostale drop down filter doesn't work in FK property columns 
related to defect 00251823.0PR14Q2 closedalostale Query in org drop down in the list field is having bad performance 
related to defect 0026412 closedalostale Property fields based on computed columns with a FK fail 

-  Notes
(0062879)
alostale (developer)
2013-12-19 17:24

Executed test cases:

-Installed attached module that deploys some additional computed columns in Sales Order
-Open Sales Order window and remove filters to force backend sorting
-Sort by Delivery Status
-Sort by Invoice Status
-Sort by EM_CC_Rule (list reference)
-Sort by EM_CC_BP (FK reference)
-Sort by EM_CC_BPNmae (String reference)
-Filter by Delivery Status
-Filter by Invoice Status
-Filter by EM_CC_Rule (list reference) -> Checking issue 0025041 is not reopened
-Filter by EM_CC_BPNmae (String reference)
-Filter by EM_CC_BP (FK reference)
  -It works by typing in filter text field
  -It fails trying to open drop down list (reported as new issue)
(0062956)
hgbot (developer)
2013-12-20 07:41

Repository: erp/devel/pi
Changeset: b718b3ee2462bdd381bc76b332a779e3d8ecbe3d
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Dec 20 07:39:46 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b718b3ee2462bdd381bc76b332a779e3d8ecbe3d [^]

related to bug 25248: prevent null values in delivery and invoice status

this causes backend sorting to to work as expected

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0062957)
hgbot (developer)
2013-12-20 07:41

Repository: erp/devel/pi
Changeset: a9326df8fa4a7dc620a9a9e55dcc4173113674da
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Dec 20 07:40:50 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a9326df8fa4a7dc620a9a9e55dcc4173113674da [^]

fixed bug 25248: error when sorting by a computed column

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0063033)
hudsonbot (developer)
2013-12-20 17:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a9326df8fa4a [^]

Maturity status: Test
(0063034)
hudsonbot (developer)
2013-12-20 17:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a9326df8fa4a [^]

Maturity status: Test
(0063045)
shankarb (developer)
2013-12-22 07:30

Code reviewed and verified in pi changeset a0194e74f446

- Issue History
Date Modified Username Field Change
2013-11-28 22:42 caristu New Issue
2013-11-28 22:42 caristu Assigned To => AugustoMauch
2013-11-28 22:42 caristu Modules => Core
2013-11-28 22:42 caristu Triggers an Emergency Pack => No
2013-11-28 22:47 caristu File Added: ErrorCC.png
2013-11-28 22:47 caristu Issue Monitored: networkb
2013-11-28 22:49 caristu Regression level => Pre packaging ( pi )
2013-11-28 22:49 caristu Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/67e80e28874b0d93cd69094cec39febc89a03b11 [^]
2013-11-28 22:55 caristu Steps to Reproduce Updated View Revisions
2013-12-19 16:56 alostale Relationship added related to 0025041
2013-12-19 16:56 alostale Assigned To AugustoMauch => alostale
2013-12-19 16:56 alostale Target Version => 3.0MP31
2013-12-19 17:08 alostale File Added: org.openbravo.check.computedcols-0.0.0.obx
2013-12-19 17:24 alostale Note Added: 0062879
2013-12-19 17:28 alostale Relationship added related to 0025378
2013-12-19 17:30 alostale Relationship added related to 0025182
2013-12-20 07:41 hgbot Checkin
2013-12-20 07:41 hgbot Note Added: 0062956
2013-12-20 07:41 hgbot Checkin
2013-12-20 07:41 hgbot Note Added: 0062957
2013-12-20 07:41 hgbot Status new => resolved
2013-12-20 07:41 hgbot Resolution open => fixed
2013-12-20 07:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a9326df8fa4a7dc620a9a9e55dcc4173113674da [^]
2013-12-20 07:42 alostale Review Assigned To => shankarb
2013-12-20 17:25 hudsonbot Checkin
2013-12-20 17:25 hudsonbot Note Added: 0063033
2013-12-20 17:25 hudsonbot Checkin
2013-12-20 17:25 hudsonbot Note Added: 0063034
2013-12-22 07:30 shankarb Note Added: 0063045
2013-12-22 07:30 shankarb Status resolved => closed
2013-12-22 07:30 shankarb Fixed in Version => 3.0MP31
2014-04-30 15:38 alostale Relationship added related to 0026412


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker